# Class SortVcf

java.lang.Object
picard.cmdline.CommandLineProgram
picard.vcf.SortVcf

@DocumentedFeature public class SortVcf extends CommandLineProgram
Sorts one or more VCF files according to the order of the contigs in the header/sequence dictionary and then by coordinate. Can accept an external dictionary. If no external dictionary is supplied, multiple inputs' headers must have the same sequence dictionaries

## Field Summary

Fields
Modifier and Type
Field
Description
`List<File>`
`INPUT`
`File`
`OUTPUT`
`File`
`SEQUENCE_DICTIONARY`

### Fields inherited from class CommandLineProgram

`COMPRESSION_LEVEL, CREATE_INDEX, CREATE_MD5_FILE, MAX_ALLOWABLE_ONE_LINE_SUMMARY_LENGTH, MAX_RECORDS_IN_RAM, QUIET, REFERENCE_SEQUENCE, referenceSequence, specialArgumentsCollection, SYNTAX_TRANSITION_URL, TMP_DIR, USE_JDK_DEFLATER, USE_JDK_INFLATER, VALIDATION_STRINGENCY, VERBOSITY`

## Constructor Summary

Constructors
Constructor
Description
`SortVcf()`

## Method Summary

Modifier and Type
Method
Description
`protected int`
`doWork()`
Do the work after command line has been parsed.

### Methods inherited from class CommandLineProgram

`checkRInstallation, customCommandLineValidation, getCommandLine, getCommandLineParser, getCommandLineParserForArgs, getDefaultHeaders, getFaqLink, getMetricsFile, getPGRecord, getStandardUsagePreamble, getStandardUsagePreamble, getVersion, hasWebDocumentation, instanceMain, instanceMainWithExit, makeReferenceArgumentCollection, parseArgs, requiresReference, setDefaultHeaders, useLegacyParser`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INPUT

@Argument(shortName="I", doc="Input VCF(s) to be sorted. Multiple inputs must have the same sample names (in order)") public List<File> INPUT

### OUTPUT

@Argument(shortName="O", doc="Output VCF to be written.") public File OUTPUT

### SEQUENCE_DICTIONARY

@Argument(shortName="SD", optional=true) public File SEQUENCE_DICTIONARY

## Constructor Details

### SortVcf

public SortVcf()

## Method Details

### doWork

protected int doWork()
Description copied from class: `CommandLineProgram`
Do the work after command line has been parsed. RuntimeException may be thrown by this method, and are reported appropriately.

Specified by:
  `doWork` in class `CommandLineProgram`
Returns:
  program exit status.